Bug 1897038 - bluetooth mouse loses pairing after reboot or suspend
Summary: bluetooth mouse loses pairing after reboot or suspend
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1899526 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-12 07:11 UTC by Dimitris
Modified: 2021-05-25 16:59 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 16:59:27 UTC
Type: Bug


Attachments (Terms of Use)
journalctl output (134.89 KB, text/plain)
2020-11-12 07:11 UTC, Dimitris
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Linux Kernel 209745 0 None None None 2020-11-12 21:48:26 UTC

Description Dimitris 2020-11-12 07:11:48 UTC
Created attachment 1728626 [details]
journalctl output

1. Please describe the problem:

Bluetooth mouse pairing is no longer effective, requires re-pairing, after every reboot or suspend.

2. What is the Version-Release number of the kernel:

5.9.8-100.fc32.x86_64

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

Yes, has worked on this laptop since F31 without issues.

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

- Pair Bluetooth mouse, mouse works.
- Suspend/resume, or reboot the laptop.
- Mouse no longer connects.
- Go into GNOME Bluetooth settings, delete old pairing, create new one.
- Mouse will now work until the next suspend/resume or reboot cycle.

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

Haven't tried yet.

6. Are you running any modules that not shipped with directly Fedora's kernel?:

No.

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Dimitris 2020-11-12 07:30:21 UTC
This seems like fallout from a serious vuln mitigation.  Digging around via Arch forums led to this upstream patch that should fix the mouse/HCI device loss of pairing:
https://lore.kernel.org/linux-bluetooth/20201022082304.31757-1-sathish.narasimman@intel.com/

Comment 2 Dimitris 2020-11-12 18:38:25 UTC
tracked upstream at https://bugzilla.kernel.org/show_bug.cgi?id=209745 (among others)

Comment 3 jan p. springer 2020-11-17 04:59:20 UTC
same here. actually bluetooth pairing vanishes w/o reboot or supsend. tried a usb mouse via thunderbolt3 dock, very flaky. only trackpad works. went back to 5.8.18-200 everything's fine again.

Comment 4 Justin M. Forbes 2020-11-17 12:31:49 UTC
*** Bug 1898495 has been marked as a duplicate of this bug. ***

Comment 5 fhortner 2020-11-17 13:35:03 UTC
This bug also holds true for F33 and 5.9.8-200.fc33.x86_64

Comment 6 Simone Marchioni 2020-11-18 08:25:58 UTC
Same problem here with a Logitech MX Anywhere 2S and a Microsoft bluetooth keyboard paired. Reverting back to 5.8.18-200.fc32 solves the problem.

Comment 7 Justin M. Forbes 2020-11-19 13:48:11 UTC
*** Bug 1899526 has been marked as a duplicate of this bug. ***

Comment 8 Fedora Update System 2020-11-19 23:19:01 UTC
FEDORA-2020-febe24a7ca has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-febe24a7ca

Comment 9 Fedora Update System 2020-11-19 23:19:24 UTC
FEDORA-2020-88200d32ad has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-88200d32ad

Comment 10 jan p. springer 2020-11-19 23:57:00 UTC
(In reply to Fedora Update System from comment #9)
> FEDORA-2020-88200d32ad has been submitted as an update to Fedora 32.
> https://bodhi.fedoraproject.org/updates/FEDORA-2020-88200d32ad

hi justin, thanks for that but i somehow forgot the command-line magic to get this installed from bodhi. any help?

Comment 11 Fedora Update System 2020-11-20 02:15:26 UTC
FEDORA-2020-febe24a7ca has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-febe24a7ca`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-febe24a7ca

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-11-20 02:17:07 UTC
FEDORA-2020-88200d32ad has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-88200d32ad`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-88200d32ad

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Dimitris 2020-11-20 03:42:33 UTC
5.9.9-100.fc32 seems to fix this for me, tried suspend/resume and reboot, mouse (Logitech MX Anywhere 2S) works like it did under 5.8 and earlier.

Comment 14 jan p. springer 2020-11-20 15:34:10 UTC
5.9.9-100.fc32 works for me, too. thank you.

Comment 15 Reinout van Schouwen 2020-11-22 12:23:45 UTC
5.9.9-100.fc32 confirmed working here as well.

Comment 16 Fedora Update System 2020-11-23 01:08:00 UTC
FEDORA-2020-febe24a7ca has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-11-23 01:25:17 UTC
FEDORA-2020-88200d32ad has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Reilly Hall 2020-11-23 14:23:22 UTC
Good morning,

I know this thread is about loosing an otherwise effective pairing for a bluetooth mouse, but I use a bluetooth speaker and it pairs initially successfully and I get my sound and music just fine, but when the speaker auto powers off after some idle time, and I power it back on, it does not reconnect ever, and trying to manually connect to it from within Fedora I get this error in the journal:

Nov 17 18:16:10 nuc8i7hvk.MidnightNetworks.com bluetoothd[1581]: profiles/audio/avdtp.c:avdtp_connect_cb() connect to 7C:96:D2:48:E4:CD: Permission denied (13)
Nov 17 18:16:10 nuc8i7hvk.MidnightNetworks.com bluetoothd[1581]: src/service.c:btd_service_connect() a2dp-source profile connect failed for 7C:96:D2:48:E4:CD: Device or resource busy

Deleting the pairing and repairing manually is the only fix, but is super annoying.  This worked fine and quick before I upgraded to Fedora 33 from 32.

Is this related to this issue or should I open a new bug report for this?

Comment 19 Fedora Program Management 2021-04-29 16:43:40 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Ben Cotton 2021-05-25 16:59:27 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.